version: '3'

services:
        trackhandler:
            container_name: trackhandler
            image: fjcapeletto/trackhandler:1.0-SNAPSHOT
            ports:
                - "1977:1977"
            depends_on:
                - th-psql
        th-psql:
            container_name: trackhandlerdb
            image: postgres
            restart: unless-stopped
            environment:
                - POSTGRES_USER=postgres
                - POSTGRES_PASSWORD=trackhandlerpwd
                - POSTGRES_DB=trackhandlerdb
            ports:
                - "5432:5432"
            volumes:
                - trackhandler_db:/var/lib/postgresql
                - trackhandler_postgresql_data:/var/lib/postgresql/data
        th-pgadmin:
            container_name: trackhandlerpgadmin
            image: dpage/pgadmin4
            restart: always
            environment:
                PGADMIN_DEFAULT_EMAIL: admin@admin.com
                PGADMIN_DEFAULT_PASSWORD: root
            ports:
                - "5051:80"

volumes:
    trackhandler_db: {}
    trackhandler_postgresql_data: {}
